-- Questa sp martella i clienti che risultano disallineati, query in cui ctv = 0
CREATE procedure [C6StagingPeriodico].[AGGIORNA_TANAB_CTV]
AS
BEGIN
    declare @dttrim varchar(10)
	set @dttrim = c6martperiodico.getTrimestre2(getDate(),0)
	update a set a.ctv = 0.00
		from c6stagingperiodico.tanab a
		inner join c6stagingperiodico.appo_contratti b
			on a.rete=b.rete and a.codfis=b.cod_fiscale
		where dtctv <> @dttrim
		  and dtctv <> '0'
		  and ctv <> 0
END